# thinkphp

*  MVC支持-基于多层模型（M）、视图（V）、控制器（C）的设计模式
*  ORM支持-提供了全功能和高性能的ORM支持，支持大部分数据库
*  模板引擎支持-内置了高性能的基于标签库和XML标签的编译型模板引擎
*  RESTFul支持-通过REST控制器扩展提供了RESTFul支持，为你打造全新的URL设计和访问体验
*  云平台支持-提供了对新浪SAE平台和百度BAE平台的强力支持，具备“横跨性”和“平滑性”，支持本地化开发和调试以及部署切换，让你轻松过渡，打造全新的开发体验。
*  CLI支持-支持基于命令行的应用开发
*  RPC支持-提供包括PHPRpc、HProse、jsonRPC和Yar在内远程调用解决方案
*  MongoDb支持-提供NoSQL的支持
*  缓存支持-提供了包括文件、数据库、Memcache、Xcache、Redis等多种类型的缓存支持

> ThinkPHP6.0的运行环境要求PHP7.2+，兼容PHP8.1

## Develop

* thinkphp8.0
* php8.1
* nginx
* mysql8

```
mkdir -p php-demo
chmod 777 php-demo && cd php-demo

# 先启动 mysql
docker compose -f "docker-compose.debug.yml" up -d --build 

# 配置 mysql 连接
docker run --rm -it -w /var/www/html -v $(pwd):/var/www/html -p 8000:8000 --network=workspace_db_network sineverba/php8xc:1.18.0  /bin/bash

# 创建项目
composer create-project thinkcmf/thinkcmf .
# 更新
composer update topthink/framework

# 启动项目
php think run

docker run --rm -it -v $(pwd):/app -p 8000:8000 bitnami/laravel:latest
```

然后就可以在浏览器中访问
```
http://localhost:8000
```

## 升级介绍

tp3.2 版本，只支持 php5.6,不在维护 . **旧项目手动升级到新版本。**

## License

Apache 2.0

## Reference

地址 https://github.com/top-think/thinkphp 已迁移到 https://github.com/top-think/framework

[官方应用服务市场](https://market.topthink.com) | [`ThinkAPI`——官方统一API服务](https://docs.topthink.com/think-api/)

[完全开发手册](https://www.kancloud.cn/manual/thinkphp6_0/content)
